org.eclnt.jsfserver.starter

## Class RISCBaseStarter

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.starter.RISCStarter
      - - org.eclnt.jsfserver.starter.RISCBaseStarter

-     public class RISCBaseStarter
      extends RISCStarter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RISCBaseStarter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `findePageFolderPrefix()` May be overridden by extensions of RISCStarter.
    `protected java.lang.String` | `findPageExtension()` May be overridden by extensions of RISCStarter.
    `protected java.lang.String` | `findRiscExtension()` May be overridden by extensions of RISCStarter.

    - ### Methods inherited from class org.eclnt.jsfserver.starter.RISCStarter

      `buildStyleVersionStamp, buildVersionStamp, doGet, initialize, resetBuffers`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, init, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RISCBaseStarter

          public RISCBaseStarter()

  - ### Method Detail

    - #### findePageFolderPrefix

          protected java.lang.String findePageFolderPrefix()

      Description copied from class: `RISCStarter`
      May be overridden by extensions of RISCStarter.
      Overrides:
        `findePageFolderPrefix` in class `RISCStarter`

    - #### findPageExtension

          protected java.lang.String findPageExtension()

      Description copied from class: `RISCStarter`
      May be overridden by extensions of RISCStarter.
      Overrides:
        `findPageExtension` in class `RISCStarter`

    - #### findRiscExtension

          protected java.lang.String findRiscExtension()

      Description copied from class: `RISCStarter`
      May be overridden by extensions of RISCStarter.
      Overrides:
        `findRiscExtension` in class `RISCStarter`

Copyright © CaptainCasa Gmbh. All Rights Reserved.